package com.ghy.goods.mapper;

import com.ghy.goods.domain.GoodsArea;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GoodsAreaMapper {

    /**
     * @param goodsId 商品id
     * @return 商品服务区域集合
     */
    List<GoodsArea> selectByGoodsId(Long goodsId);

    void deleteByGoodsId(Long goodsId);

    /**
     * @param areas 区域集合id
     * @return 批量insert成功条数
     */
    int batchInsert(@Param("areas") List<GoodsArea> areas);

}
